Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinNT.TOKEN_GROUPS

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.TOKEN_GROUPS

Enclosing interface:
  WinNT

    public static class WinNT.TOKEN_GROUPS

extends com.sun.jna.Structure

The TOKEN_GROUPS structure contains information about the group security identifiers (SIDs) in an access token.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`WinNT.SID_AND_ATTRIBUTES` | `Group0`
`int` | `GroupCount` Specifies the number of groups in the access token.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.TOKEN_GROUPS()`
`WinNT.TOKEN_GROUPS(int size)`
`WinNT.TOKEN_GROUPS(com.sun.jna.Pointer memory)`

Method Summary
`WinNT.SID_AND_ATTRIBUTES[]` | `getGroups()` Specifies an array of SID_AND_ATTRIBUTES structures that contain a set of SIDs and corresponding attributes.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GroupCount

    public int GroupCount

  Specifies the number of groups in the access token.

### Group0

    public WinNT.SID_AND_ATTRIBUTES Group0

Constructor Detail

### WinNT.TOKEN_GROUPS

    public WinNT.TOKEN_GROUPS()

### WinNT.TOKEN_GROUPS

    public WinNT.TOKEN_GROUPS(com.sun.jna.Pointer memory)

### WinNT.TOKEN_GROUPS

    public WinNT.TOKEN_GROUPS(int size)

Method Detail

### getGroups

    public WinNT.SID_AND_ATTRIBUTES[] getGroups()

  Specifies an array of SID_AND_ATTRIBUTES structures that contain a set of SIDs and corresponding attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD